Bug 449151 - Review Request: pyodbc - Python DB API 2.0 Module for ODBC
Review Request: pyodbc - Python DB API 2.0 Module for ODBC
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jan ONDREJ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 15:21 EDT by Ray Van Dolson
Modified: 2008-06-29 13:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-29 13:49:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ondrejj: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ray Van Dolson 2008-05-30 15:21:35 EDT
Spec URL: http://www.bludgeon.org/~rayvd/rpms/pyodbc/pyodbc.spec
SRPM URL: http://www.bludgeon.org/~rayvd/rpms/pyodbc/pyodbc-2.0.58-1.src.rpm

Description:
A Python DB API 2 module for ODBC. This project provides an up-to-date, 
convenient interface to ODBC using native data types like datetime and 
decimal.

Questions:
- Should I included text of the MIT license even though source package doesn't
include it?
Comment 1 Jan ONDREJ 2008-06-02 14:57:55 EDT
(In reply to comment #0)
> Spec URL: http://www.bludgeon.org/~rayvd/rpms/pyodbc/pyodbc.spec
> SRPM URL: http://www.bludgeon.org/~rayvd/rpms/pyodbc/pyodbc-2.0.58-1.src.rpm

Looks OK for first look. rpmlint is clean, spec file is simple.

But does not build in mock:

DEBUG: /var/tmp/rpm-tmp.46918: line 27: /usr/bin/python: No such file or directory

I think python-devel or something similar is missing from BuildRequires.
Please fix this.

> Questions:
> - Should I included text of the MIT license even though source package doesn't
> include it?

I think no. You should ask developers to add license into package, but do not
include other license files into rpm.

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

- SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.
Comment 2 Ray Van Dolson 2008-06-02 15:25:20 EDT
I'll poke upstream on this and add it when they do.

Updated files:

http://www.bludgeon.org/~rayvd/rpms/pyodbc/pyodbc.spec
http://www.bludgeon.org/~rayvd/rpms/pyodbc/pyodbc-2.0.58-2.src.rpm

(This builds for me in mock for EL5-i386, my Fedora mock setup is broken currently)
Comment 3 Jan ONDREJ 2008-06-02 15:55:41 EDT
Although there are many of warnings compiling on Fedora 9, I can build it for F8
and F9.

This is a warning on F9:
cursor.cpp:1159: warning: deprecated conversion from string constant to 'char*'
You can send this warning upstream, may be they know how to fix this.

Please, remove Buildrequire for python, it is automatically required by
python-devel, which is enough. Just fix this in spec file and I will approve
this package.
Comment 4 Ray Van Dolson 2008-06-02 16:56:18 EDT
Thanks Jan; d'oh on the python BuildRequire.  This has been addressed.

http://www.bludgeon.org/~rayvd/rpms/pyodbc/pyodbc.spec
http://www.bludgeon.org/~rayvd/rpms/pyodbc/pyodbc-2.0.58-3.src.rpm
Comment 5 Jan ONDREJ 2008-06-03 00:24:00 EDT
Thank you for new package. :-)

APPROVED
Comment 6 Ray Van Dolson 2008-06-03 00:57:22 EDT
New Package CVS Request
=======================
Package Name: pyodbc
Short Description: Python DB API 2.0 Module for ODBC
Owners: rayvd
Branches: F-8 F-9 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-06-03 12:24:13 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.